Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.spi.component
Class ComponentConstructor<T>

    java.lang.Object
      com.sun.jersey.core.spi.component.ComponentConstructor<T>

Type Parameters:
  `T` - the type to construct

    public class ComponentConstructor<T>

extends java.lang.Object

A constructor of a component.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ComponentConstructor(InjectableProviderContext ipc, java.lang.Class<T> c)` Create a component constructor with the injectable provider context.

Method Summary
`T` | `getInstance()` Get a new instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentConstructor

    public ComponentConstructor(InjectableProviderContext ipc,
                                java.lang.Class<T> c)

  Create a component constructor with the injectable provider context.

  Parameters:
    `ipc` - the injectable provider context.
    `c` - the class of the type to construct.

Method Detail

### getInstance

    public T getInstance()
                  throws java.lang.InstantiationException,
                         java.lang.IllegalAccessException,
                         java.lang.IllegalArgumentException,
                         java.lang.reflect.InvocationTargetException

  Get a new instance.

  Returns:
    a new instance.
  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.IllegalArgumentException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.